# Updating an existing Estimate Scenario Resource Allocation

This endpoint returns structured Estimate Scenario Resource Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the estimate_scenario_resource_allocations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /estimate_scenario_resource_allocations/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- resource (EstimateScenarioResource) - The scenario resource that owns the estimate scenario resource allocation.

## Request fields (application/json):

  - `estimate_scenario_resource_allocation` (object)

  - `estimate_scenario_resource_allocation.duration_days` (integer)
    The length of time for the allocation (in days).

  - `estimate_scenario_resource_allocation.percent_allocated` (number)
    The percentage allocated. This must be a decimal number between (and including) 0 and 1.

  - `estimate_scenario_resource_allocation.relative_start_day` (integer)
    The number of business days, after the start date of the project, that the resource
will begin working on the project.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimate_scenario_resource_allocations` (object)

  - `estimate_scenario_resources` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


